This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 536107 - (RHQ-493) group definitions should support pivoting from unset plugin/resource config props
group definitions should support pivoting from unset plugin/resource config p...
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
1.0
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
: SubFeature
Depends On:
Blocks: RHQ-399
  Show dependency treegraph
 
Reported: 2008-05-15 17:43 EDT by Charles Crouch
Modified: 2015-02-01 18:25 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2008-05-15 17:43:00 EDT
I've got 1 JBAS server with a scriptPrefix connection property set and 69 instances which have this property unset. When I calculate the groups from the following defintion:

resource.type.plugin = JBossAS
resource.type.category = Server
groupby resource.pluginConfiguration[scriptPrefix]

I get one group with one member (the one with the scriptPrefix set). I would expect to get another group with 69 members containing those resources that didnt have a value set for scriptPrefix.
Comment 1 Joseph Marques 2008-05-17 23:01:06 EDT
yeah, this sounds reasonable.
Comment 2 Joseph Marques 2008-12-25 04:28:36 EST
rev2542 - support pivoting on unset/null plugin/resource configuration properties; 
in fact, this commit supports the general nullabllity of any condition that dynagroups supports; 
Comment 3 Jeff Weiss 2009-01-07 13:49:02 EST
Can now see that there is an "empty" value in the groups created by the groupby expression.  rev2561
Comment 4 Red Hat Bugzilla 2009-11-10 16:10:27 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-493
This bug relates to RHQ-492

Note You need to log in before you can comment on or make changes to this bug.